library('deSolve')

# ===Import X values from the table in the compResult folder=== 
num_iter=0
point_index=1

currentDir="/Users/yaoki/Documents/180719_CNM_handson/softwareTest"
X=read.csv(paste(currentDir,"/compResult/X_",toString(num_iter), ".csv",sep=""), header=FALSE)

x1=X[point_index,1]

# ===Convert the X values to the oritinal parameter scale and construct parameters object for the ODE solve===
parameters <- c( constant=10^(x1))

# ===Extra parameter expressions so that parameter values can be used for dosage, dose time etc.===
constant=10^(x1)


RHS<-function(t, state, parameters_infRate) {
with(as.list(c(state, parameters_infRate)),{
dx=constant+infRate_x
list(c(dx))
})
}

# ===Initialise infusion rate vector===
#MODIFY line below to define any infusion administration
infusionRate=c(infRate_x=0)

parameters_infRate=c(parameters,infusionRate)



# ===Initialise state vector (ODE variables)===
#MODIFY line below to define any bolus administration
state <- c(x=0)

times <- c(0)  #MODIFY this line to define the time-point ODE solution is desired 

out <- ode(y = state, times = times, func = RHS, parms = parameters_infRate)

# ===Last State vector from the ODE solve (ODE variables)===
#(use it for multiple administration model)
timeIndex=length(times)
state <- c(out[timeIndex,'x']) 
